curl --request POST \
--url https://sandbox.tight.com/v6/banks/reconciliations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "brc_28868401",
"status": "ACTIVE",
"reconciliationStatus": "IN_PROGRESS",
"bankAccountId": "bka_7542850",
"bankStatementId": "bst_28868401",
"period": {
"beginDate": "2024-01-01",
"endDate": "2024-01-31"
},
"endBalance": 12345.67,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'{
"result": "SUCCESS",
"data": [
{
"result": "SUCCESS",
"statusCode": 200,
"data": {
"id": "brc_28868401",
"status": "ACTIVE",
"reconciliationStatus": "IN_PROGRESS",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking **1687",
"displayName": "Business Checking **1687"
},
"bankStatement": {
"id": "bst_28868401",
"url": "https://cdn.sandbox.tight.com/statements/bst_28868401.pdf"
},
"period": {
"beginDate": "2024-01-01",
"endDate": "2024-01-31"
},
"endBalance": 12345.67,
"completedDateTime": "2023-11-07T05:31:56Z",
"createdByUser": {
"id": "emp_28868401",
"userId": "usr_28868401",
"email": "editor@example.com"
},
"completedByUser": {
"id": "emp_28868401",
"userId": "usr_28868401",
"email": "editor@example.com"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}Save new (or update existing) reconciliations
curl --request POST \
--url https://sandbox.tight.com/v6/banks/reconciliations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "brc_28868401",
"status": "ACTIVE",
"reconciliationStatus": "IN_PROGRESS",
"bankAccountId": "bka_7542850",
"bankStatementId": "bst_28868401",
"period": {
"beginDate": "2024-01-01",
"endDate": "2024-01-31"
},
"endBalance": 12345.67,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'{
"result": "SUCCESS",
"data": [
{
"result": "SUCCESS",
"statusCode": 200,
"data": {
"id": "brc_28868401",
"status": "ACTIVE",
"reconciliationStatus": "IN_PROGRESS",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking **1687",
"displayName": "Business Checking **1687"
},
"bankStatement": {
"id": "bst_28868401",
"url": "https://cdn.sandbox.tight.com/statements/bst_28868401.pdf"
},
"period": {
"beginDate": "2024-01-01",
"endDate": "2024-01-31"
},
"endBalance": 12345.67,
"completedDateTime": "2023-11-07T05:31:56Z",
"createdByUser": {
"id": "emp_28868401",
"userId": "usr_28868401",
"email": "editor@example.com"
},
"completedByUser": {
"id": "emp_28868401",
"userId": "usr_28868401",
"email": "editor@example.com"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "<string>",
"param": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Show child attributes